Object.defineProperty(exports, '__esModule', { value: true });
const menu = [
    {
        title: "设备实况展示",
        index: "1",
        icon: "VideoCamera",
        isTitle:true,
        hasGroup:true,
        redirect:null,
        item: [
            {
                group: "雷达展示",
                content: [
                    {
                        title: "激光雷达展示",
                        index: "1-1",
                        redirect:"/app-vite2#/radar/laser"
                    },
                    {
                        title: "毫米波雷达展示",
                        index: "1-2",
                        redirect:"/app-vite2#/radar/millimeterWave"
                    },
                    {
                        title: "超声波雷达展示",
                        index: "1-3",
                        redirect:"/app-vite2#/radar/ultrasonic"
                    }
                ]
            },
            {
                group: "其他展示",
                content: [
                    {
                        title: "红外IPC展示",
                        index: "1-4",
                        redirect:"/app-vite2#/radar/infraRed"
                    },
                    {
                        title: "摄像头展示",
                        index: "1-5",
                        redirect:"/app-vite2#/radar/camera"
                    },
                    {
                        title: "电机展示",
                        index: "1-6",
                        redirect:"/app-vite2#/radar/electricMachinery"
                    },
                    {
                        title: "360全景展示",
                        index: "1-7",
                        redirect:"/app-vite2#/radar/panorama"
                    }
                ]
            }
        ]
    },
    {
        title: "设备总览",
        index: "2",
        icon: "FolderAdd",
        isTitle:true,
        hasGroup:false,
        redirect:null,
        item: [
            {
                title: "设备详情总览",
                index: "/app-vite#/overview",
                redirect:"/app-vite#/child/overview",
            },
            {
                title: "坦克设备详情",
                index: "/app-vite#/tank",
                redirect:"/app-vite#/child/tank"
            },
            {
                title: "舰船设备详情",
                index: "/app-vite#/warship",
                redirect:"/app-vite#/child/warship"
            }
        ]
    },
    {
        title: "数据展示",
        index: "3",
        icon: "DataAnalysis",
        isTitle:false,
        hasGroup:false,
        item: null,
        redirect:"/app-vite3#/dataDisplay/data"
    },
    {
        title: "配置中心-用户",
        index: "4",
        icon: "User",
        isTitle:false,
        hasGroup:false,
        item: null,
        redirect:"/app-vite4#/toConfigure/user"
    },
    {
        title: "配置中心-规则",
        index: "5",
        icon: "Setting",
        isTitle:false,
        hasGroup:false,
        item: null,
        redirect:"/app-vite4#/toConfigure/rule"
    }
];

class Menu {
    test = ()=>{
        console.log("fzb")
    }

    getMenuOfRobot = ()=>{
        return menu;
    }

}

import {Scene, PointLayer, Popup} from '@antv/l7';
import { GaodeMap } from '@antv/l7-maps';

class AntV {
    mapInit = (sceneConfig,iconList,dataJsonList,option)=>{
        const scene = new Scene({
            id: sceneConfig.dom || 'map',
            map: new GaodeMap({
                pitch: sceneConfig.pitch || 50,
                style: sceneConfig.style || 'dark',
                center: sceneConfig.center || [ 120.5969, 29.7918 ],
                rotation: sceneConfig.rotation || 0,
                zoom: sceneConfig.zoom || 8
            }),
            logoVisible:false
        });

        scene.on('loaded', () => {
            iconList.forEach(x=>{
                scene.addImage(
                    x.id,
                    x.img
                );
            })
            fetch(dataJsonList)
                .then(res => res.json())
                .then(data => {
                    const imageLayer = new PointLayer()
                        .source(data)
                        .shape(option.shapeField || 'w', function(w) {
                            return w;
                        })
                        .size(15);
                    scene.addLayer(imageLayer);
                    imageLayer.on('click', e => {
                        window.eventCenterForAppNameVite.dispatch({ myname: e });
                    });

                    imageLayer.on('mousemove',e=>{
                        const popup = new Popup({
                            offsets: [ 0, 0 ],
                            closeButton: false
                        })
                            .setLnglat(e.lngLat)
                            .setHTML(`<span>${e.feature.s}: ${e.feature.t}</span>`);
                            scene.addPopup(popup);
                    })

                });

            });
        }

}

exports.Menu =new Menu();

exports.AntV = new AntV();